Skip to main content
POST
/
api
/
registeredmodels
/
v1
/
{modelName}
/
versions
[DEPRECATED] Create a new version of a Registered Model
curl --request POST \
  --url https://api.example.com/api/registeredmodels/v1/{modelName}/versions \
  --header 'Content-Type: application/json' \
  --header 'X-Domino-Api-Key: <api-key>' \
  --data '
{
  "artifact": "LogisticRegression",
  "description": "Logistic regression model version 2",
  "experimentRunId": "a8ea375c781d4b9c8e58469f0ad738f8"
}
'
{
  "createdAt": "2022-03-12T02:13:44.467Z",
  "experimentRunId": "db79712b47084c27a463a188bf901943",
  "modelName": "churn-prediction",
  "modelVersion": 4,
  "modelVersionDescription": "Customer churn model V1",
  "ownerUsername": "martin_hito",
  "project": {
    "id": "62313ce67a0af0281c01a6a5",
    "isGitBasedProject": true,
    "name": "TO-DO",
    "ownerUsername": "TO-DO"
  },
  "tags": {},
  "updatedAt": "2022-03-12T02:13:44.467Z",
  "versionUiDetails": {
    "experimentRunInfo": {
      "metrics": [
        {
          "key": "<string>",
          "timestamp": "2022-03-12T02:13:44.467Z",
          "value": 123
        }
      ],
      "params": [
        {
          "key": "<string>",
          "value": "<string>"
        }
      ],
      "runUrl": "<string>"
    },
    "modelVersionDataSources": [
      {
        "dataSourceType": "<string>",
        "id": "<string>",
        "name": "<string>"
      }
    ],
    "modelVersionDatasets": [
      {
        "id": "<string>",
        "name": "<string>",
        "snapshotId": "<string>"
      }
    ]
  }
}

Authorizations

X-Domino-Api-Key
string
header
required

Path Parameters

modelName
string
required

Registered model name

Body

application/json

Details of the model version to create

artifact
string
required

The artifact of the run to create the version from

Example:

"LogisticRegression"

description
string
required

The description of the registered model version

Example:

"Logistic regression model version 2"

experimentRunId
string
required

The id of the experiment run to create the version from

Example:

"a8ea375c781d4b9c8e58469f0ad738f8"

Response

Success

createdAt
string<date-time>
required

When the latest version of the model was created

Example:

"2022-03-12T02:13:44.467Z"

experimentRunId
string
required

The name of experiment run linked to the model version

Example:

"db79712b47084c27a463a188bf901943"

modelName
string
required

Name of the registered model

Example:

"churn-prediction"

modelVersion
integer
required

The latest version of the model

Example:

4

modelVersionDescription
string
required

Description of the model version

Example:

"Customer churn model V1"

ownerUsername
string
required

username of the project owner

Example:

"martin_hito"

project
object
required

type that tracks properties of the project associated with a model

tags
object
required

A map of key -> value

updatedAt
string<date-time>
required

When the latest version of the model was updated

Example:

"2022-03-12T02:13:44.467Z"

versionUiDetails
object
required